Get full tenant details
curl --request GET \
--url https://api.bold-factory.com/v1/admin/tenants/self/full \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.bold-factory.com/v1/admin/tenants/self/full"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.bold-factory.com/v1/admin/tenants/self/full', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"emailStatus": "<string>",
"infrastructureStatus": "<string>",
"subscriptionStatus": "<string>",
"workspace": "<string>",
"code": "<string>",
"ownerEmail": "<string>",
"searchApiKey": "<string>",
"analyticsInfo": {
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"semanticModelId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"logoFileId": "<string>",
"settings": {
"activity": "<string>",
"autoGenerateProductionOrders": true,
"autoPlanProductionOrders": true,
"defaultLeadTimeBusinessDays": 123,
"autoProvisionLoadOrders": true,
"loadOrderProvisioningLeadTimeBusinessDays": 123,
"timeZoneId": "<string>",
"cultureName": "<string>",
"codePrefixes": {
"sku": "<string>",
"product": "<string>",
"employee": "<string>",
"salesOrder": "<string>",
"purchaseOrder": "<string>",
"request": "<string>",
"productionOrder": "<string>",
"operationsGroup": "<string>",
"container": "<string>",
"movement": "<string>",
"receipt": "<string>",
"shipment": "<string>",
"workOrder": "<string>",
"asset": "<string>",
"purchaseLot": "<string>",
"productionLot": "<string>",
"unknownLot": "<string>",
"mergedLot": "<string>",
"placeholderLot": "<string>"
},
"myOperationsSource": "UsualWorkstations"
},
"plan": {
"name": "<string>",
"limits": {
"maxEmployees": 123,
"maxSkus": 123,
"maxLocations": 123,
"monthlyAiCreditLimit": 123,
"allowProductionPlans": true,
"allowMultipleLots": true
},
"usage": {
"currentEmployees": 123,
"currentSkus": 123,
"currentLocations": 123
}
},
"stripeCustomerId": "<string>",
"stripeSubscriptionId": "<string>",
"legalEntity": "<string>",
"taxIdentificationNumber": "<string>",
"subscriptionEndsAt": "2023-11-07T05:31:56Z"
}{
"type": "https://www.rfc-editor.org/rfc/rfc9110.html#name-401-unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "You are not authenticated.",
"instance": "GET /v1/items/skus"
}{
"type": "https://api.bold-factory.com/errors/MISSING_PERMISSIONS",
"title": "Missing permissions",
"status": 403,
"detail": "Missing permissions: Items.Products.Read",
"instance": "GET /v1/maintenance/assets",
"code": "MISSING_PERMISSIONS"
}{
"type": "https://api.bold-factory.com/errors/ENTITY_NOT_FOUND",
"title": "The entity was not found.",
"status": 404,
"detail": "Entity Product (pr_72f13bd8218h9823dfj9) was not found.",
"instance": "DELETE /v1/items/products/pr_72f13bd8218h9823dfj9",
"code": "ENTITY_NOT_FOUND"
}Tenants
Get full tenant details
Requires Admin.Tenants.Read permission
GET
/
v1
/
admin
/
tenants
/
self
/
full
Get full tenant details
Autorizaciones
JWTApiKey
Use a valid JWT token in the Authorization header with the format 'Bearer {token}'
Respuesta
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I